Subject: Re: bug#56345: 29.0.50; [PATCH] Add column hiding to tabulated-list

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 07 Sep 2022 14:52:59 +0200

Thuna <[email-masked]> writes:

> I can't claim to know how many people would want it, but I can give an
> example of when it's useful: In the specific package I wrote this patch
> for, I list information about youtube videos.  The columns `channel ID'
> and `video ID' are vital, but usually unnecessary and take space.  I
> have these set in `tabulated-list-format' as hidden by default, so that
> the user can choose to see them if they wish to.  Using this, I have to
> query for the videos only once, and then tabulated-list-mode decides
> what it wants to display on its own.

Oh, OK, that makes sense.  Then I think this sounds like a good
addition (but we have to wait for the assignment to be processed to
apply the patch).